summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/pull_translations.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/pull_translations.sh b/scripts/pull_translations.sh
new file mode 100755
index 0000000..abf4387
--- /dev/null
+++ b/scripts/pull_translations.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# This script is for pulling the latest translations from Translation Project
+#
+# Assumption: executed from the top level xkeyboard-config directory
+#
+
+project=xkeyboard-config
+
+if [ ! -d po ] ; then
+ echo "No po subdirectory in the current directory, the script has to be executed from the top level $project directory"
+ exit 1
+fi
+
+rsync -Lrtvz translationproject.org::tp/latest/$project/ po